Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Hydro RViz crashes (Groovy not); glibc detected corrupted double-linked list

On Hydro,

$ rosrun rviz rviz 
[ INFO] [1399006946.967568547]: rviz version 1.10.14
[ INFO] [1399006946.967639226]: compiled against OGRE version 1.7.4 (Cthugha)
[ INFO] [1399006947.346318548, 1099.690000000]: Stereo is NOT SUPPORTED
[ INFO] [1399006947.346408033, 1099.690000000]: OpenGl version: 4.4 (GLSL 4.4).
*** glibc detected *** /opt/ros/hydro/lib/rviz/rviz: corrupted double-linked list: 0x0000000001782080 ***
Inconsistency detected by ld.so: dl-open.c: 221: dl_open_worker: Assertion `_dl_debug_initialize (0, args->nsid)->r_state == RT_CONSISTENT' failed!

(here RViz stops, command returns)

On Groovy,

$ rosrun rviz rviz 
[ INFO] [1399007035.268979690]: rviz version 1.9.35
[ INFO] [1399007035.269032342]: compiled against OGRE version 1.7.4 (Cthugha)
[ INFO] [1399007035.634235376, 1188.425000002]: OpenGl version: 4.4 (GLSL 4.4).

.deb versions:

$ dpkg -p ros-hydro-rviz | grep Vers
Version: 1.10.14-0precise-20140418-1245-+0000
$ dpkg -p ros-groovy-rviz | grep Vers
Version: 1.9.35-2precise-20140418-0941-+0000

Similar thread where OP seems to have RViz working from .deb.

Hydro RViz crashes (Groovy not); glibc detected corrupted double-linked list

On RViz keeps crashing on one of my Precise machines on Hydro,

$ rosrun rviz rviz 
[ INFO] [1399006946.967568547]: rviz version 1.10.14
[ INFO] [1399006946.967639226]: compiled against OGRE version 1.7.4 (Cthugha)
[ INFO] [1399006947.346318548, 1099.690000000]: Stereo is NOT SUPPORTED
[ INFO] [1399006947.346408033, 1099.690000000]: OpenGl version: 4.4 (GLSL 4.4).
*** glibc detected *** /opt/ros/hydro/lib/rviz/rviz: corrupted double-linked list: 0x0000000001782080 ***
Inconsistency detected by ld.so: dl-open.c: 221: dl_open_worker: Assertion `_dl_debug_initialize (0, args->nsid)->r_state == RT_CONSISTENT' failed!

(here RViz stops, command returns)

On Groovy, Groovy on the same machine,

$ rosrun rviz rviz 
[ INFO] [1399007035.268979690]: rviz version 1.9.35
[ INFO] [1399007035.269032342]: compiled against OGRE version 1.7.4 (Cthugha)
[ INFO] [1399007035.634235376, 1188.425000002]: OpenGl version: 4.4 (GLSL 4.4).

.deb versions:

$ dpkg -p ros-hydro-rviz | grep Vers
Version: 1.10.14-0precise-20140418-1245-+0000
$ dpkg -p ros-groovy-rviz | grep Vers
Version: 1.9.35-2precise-20140418-0941-+0000

Similar thread where OP seems to have RViz working from .deb.


Update Same error occurs with the latest source build. But on another Precise machine on Hydro, this doesn't happen. So I'm sure something, maybe in depended libraries from RViz on this machine are problematic.